Subject: 23.1.50; No size compensation for (tool-bar-mode 0)(menu-bar-mode 0)

From: [email-masked]
Date: Sat, 21 Nov 2009 04:01:31 +0800

ADMIT that
$ emacs -Q -eval '(progn(tool-bar-mode 0)(menu-bar-mode 0))'
1. Still momentarily wastefully shows at least the menu-bar before cleaning it
off the screen, even if the user does those commands in his .emacs file.
2. But more importantly, gives the user a window shorter than he wants.
No compensation is made here under X windows to lengthen back the emacs
window back to the size it was before removing those items.
(Note I had no xrdb emacs items set.) To workaround I must do:
(setq default-frame-alist (cons (cons 'height (+(frame-height)4)) default-frame-alist))
(No, fullhight, fullboth,(which by the way is not documented) don't let
one still see the ICEWM toolbar.)
In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2009-11-15 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20091115-1)